#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kwindowsystem
Version		:	5.107.0
Release		:	16.2.0.rel%{?dist}
Summary		:	KDE Access to window manager
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules 
BuildRequires	:	mesa-devel
BuildRequires	:	qt
BuildRequires	:	qtx11extras-devel
BuildRequires	:	xcb-util-keysyms
#-----------------------------------------------------------------------------
%description
KWindowSystem provides information about the windowing system and
allows interaction with the windowing system. It provides an high
level API which is windowing system independent and has platform
specific implementations.
This API is inspired by X11 and thus not all functionality is
available on all windowing systems.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake									\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}				\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D BUILD_TESTING=OFF						\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_BUILD_TYPE=Release					\
	-W no-dev 							\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc README.md
%{_includedir}/KF5/KWindowSystem/*
%{_libdir}/libKF5WindowSystem.so*
%{_libdir}/cmake/KF5WindowSystem/*.cmake
%{_datadir}/locale/*/LC_MESSAGES/%{name}5_qt.qm
%{_datadir}/mkspecs/modules/*.pri
%{_datadir}/plugins/kf5/kwindowsystem/KF5*.so
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories
#-----------------------------------------------------------------------------
%pre 

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
